Linux-GPIB 4.3.7 Documentation
Prev |  | Next

# ThreadIbcnt

## Name

ThreadIbcnt -- thread-specific ibcnt, ibcntl values

## Synopsis

    #include <gpib/ib.h>

``int ThreadIbcnt`(void);`

``long ThreadIbcntl`(void);`

## Description

ThreadIbcnt() and ThreadIbcntl() return thread-local versions of the global variables ibcnt, ibcntl.

## Return value

The value of ibcnt or ibcntl corresponding to the last 'traditional' or 'multidevice' function called in the current thread is returned.

Prev | Home | Next
PPE_byte | Up | ThreadIberr